cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/adv-profile-resourcer \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/adv-profile-resourcer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/adv-profile-resourcer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200
},
"profile": {
"userID": "Cristiano",
"username": "Cristiano",
"platform": "Facebook",
"groupID": null,
"url": "https://www.facebook.com/Cristiano",
"name": "Cristiano Ronaldo",
"image": "https://scontent.xx.fbcdn.net/v/t1.6435-9/1234567_101515123456789_1234567890_n.jpg?_nc_cat=100&ccb=1-7&_nc_sid=09cbfe&_nc_ohc=abcdefghijklm&_nc_ht=scontent.xx&oh=00_AfABCDEFGHabcdefghijklmnoPQRSTUvwx&oe=64EDC123",
"description": "Welcome to the official Facebook page of Cristiano Ronaldo.",
"country": "Portugal",
"countryCode": "PT",
"city": null,
"type": "public_figure",
"gender": "male",
"age": null,
"communityStatus": "active",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 168000000,
"avgLikes": 450000,
"avgComments": 25000,
"avgER": 0.0028,
"avgInteractions": 475000,
"avgViews": null,
"ratingIndex": null,
"qualityScore": null
}
}
Universal Social
Profile Resourcer
In case you couldn’t fetch a specific profile using Get Profile by URL or any Get profile Endpoints, use this endpoint to fetch the key profile data using a different method.
GET
/
wf
/
adv-profile-resourcer
cURL
Supported Platforms:
{
"status": {
"code": 200
},
"profile": {
"userID": "Cristiano",
"username": "Cristiano",
"platform": "Facebook",
"groupID": null,
"url": "https://www.facebook.com/Cristiano",
"name": "Cristiano Ronaldo",
"image": "https://scontent.xx.fbcdn.net/v/t1.6435-9/1234567_101515123456789_1234567890_n.jpg?_nc_cat=100&ccb=1-7&_nc_sid=09cbfe&_nc_ohc=abcdefghijklm&_nc_ht=scontent.xx&oh=00_AfABCDEFGHabcdefghijklmnoPQRSTUvwx&oe=64EDC123",
"description": "Welcome to the official Facebook page of Cristiano Ronaldo.",
"country": "Portugal",
"countryCode": "PT",
"city": null,
"type": "public_figure",
"gender": "male",
"age": null,
"communityStatus": "active",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 168000000,
"avgLikes": 450000,
"avgComments": 25000,
"avgER": 0.0028,
"avgInteractions": 475000,
"avgViews": null,
"ratingIndex": null,
"qualityScore": null
}
}
⌘I